%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global module_name deep-extend

Name:           nodejs-%{module_name}
Version:        0.5.1
Release:        1%{?dist}
Summary:        Recursive object extending

License:        MIT
URL:            https://github.com/unclechu/node-deep-extend
Source0:        https://github.com/unclechu/node-%{module_name}/archive/v%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
%endif

%description
%{summary}.

%prep
%autosetup -n node-%{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js lib %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mocha
%endif

%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Tue May 15 2018 Parag Nemade <pnemade AT redhat DOT com> - 0.5.1-1
- Update to 0.5.1 version (#1578247)

* Wed Jan 13 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.3.2-2
- Specify exclusively arch list as per nodejs packaging guidelines

* Thu Dec 04 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.3.2-1
- Initial packaging

